%define real_name CGI-Builder

Summary:	Framework to build simple or complex web-apps
Name:		perl-%{real_name}
Version:	1.36
Release:	%mkrel 3
License:	GPL or Artistic
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{real_name}
Source0:	http://search.cpan.org/CPAN/authors/id/D/DO/DOMIZIO/%{real_name}-%{version}.tar.bz2
Patch0:		CGI-Builder-binperl.diff
BuildRequires:	perl-devel
#BuildRequires:	perl-OOTools
#BuildRequires:	perl-IO-Util
BuildRequires:	dos2unix
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
This is the starting point of the documentation of the CGI Builder Framework
(CBF). You should read this documentation before any other documentation in any
other module that extends the CBF.

%prep

%setup -q -n %{real_name}-%{version} 
%patch0 -p0

find CBF_examples -type f | xargs dos2unix -U


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

# the tests don't pass right now
#%%check
#make test

%install
rm -rf %{buildroot}

%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README CBF_examples
%dir %{perl_vendorlib}/CGI/Builder
%{perl_vendorlib}/CGI/Builder/*.pm
%{perl_vendorlib}/CGI/*.pm
%dir %{perl_vendorlib}/Bundle/CGI/Builder
%{perl_vendorlib}/Bundle/CGI/Builder/*.pm
%{_mandir}/*/*


%changelog
* Wed Jul 23 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.36-3mdv2009.0
+ Revision: 241165
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon May 14 2007 Oden Eriksson <oeriksson@mandriva.com> 1.36-1mdv2008.0
+ Revision: 26693
- fix deps
- Import perl-CGI-Builder



* Mon May 14 2007 Oden Eriksson <oeriksson@mandriva.com> 1.36-1mdv2007.1
- initial Mandriva package 
